package com.ruoyi.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import java.util.List;
import com.ruoyi.business.domain.OrderManage;

/**
 * 【请填写功能名称】Service接口
 * 
 * @author wms
 * @date 2022-10-10
 */
public interface IOrderManageService extends IService<OrderManage>
{
    /**
     * 查询【请填写功能名称】
     * 
     * @param orderId 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    public OrderManage selectOrderManageByOrderId(String orderId);

    /**
     * 查询下一条工单
     *
     * @param goodsId 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    public OrderManage selectNextOrder(String goodsId);

    /**
     * 查询上一条工单
     *
     * @param orderManage 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    public OrderManage selectPreOrder(OrderManage orderManage);

    /**
     * 查询【请填写功能名称】列表
     * 
     * @param orderManage 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    public List<OrderManage> selectOrderManageList(OrderManage orderManage);

    /**
     * 查询待出工单列表，以goodsId分类
     *
     * @param orderManage 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    public List<OrderManage> selectOrderListForOut(OrderManage orderManage);

    /**
     * 新增【请填写功能名称】
     * 
     * @param orderManage 【请填写功能名称】
     * @return 结果
     */
    public int insertOrderManage(OrderManage orderManage);

    /**
     * 修改【请填写功能名称】
     * 
     * @param orderManage 【请填写功能名称】
     * @return 结果
     */
    public int updateOrderManage(OrderManage orderManage);

    /**
     * 上移一位
     *
     * @param orderManage 【请填写功能名称】
     * @return 结果
     */
    public int upOneOrder(OrderManage orderManage);

    /**
     * 工单取消
     *
     * @param orderIds 需要取消的工单号
     * @return 结果
     */
    public int cancelOrdersByOrderIds(String orderIds);

    /**
     * 批量删除【请填写功能名称】
     * 
     * @param orderIds 需要删除的【请填写功能名称】主键集合
     * @return 结果
     */
    public int deleteOrderManageByOrderIds(String orderIds);

    /**
     * 删除【请填写功能名称】信息
     * 
     * @param orderId 【请填写功能名称】主键
     * @return 结果
     */
    public int deleteOrderManageByOrderId(String orderId);
}
